--
-- Table structure for table `auto_reports`
--

CREATE TABLE IF NOT EXISTS `auto_reports` (
  `id` int(11) NOT NULL auto_increment,
  `reporttime` varchar(40) NOT NULL default 'Weekly',
  `timeperiod` varchar(40) NOT NULL default 'lastweek',
  `host` varchar(40) default NULL,
  `service` varchar(40) default NULL,
  `rpttimeperiod` varchar(40) NOT NULL default '24x7',
  `hostgrp` varchar(40) default NULL,
  `servicegrp` varchar(40) default NULL,
  `contacts` varchar(255) default NULL,
  `backtrack` int(11) default '1',
  `initialassumedservicestate` int(11) default '-1',
  `initialassumedhoststate` int(11) default '-1',
  `includesoftstates` varchar(4) default 'yes',
  `assumestatesduringnotrunning` varchar(4) default 'yes',
  `assumestateretention` varchar(4) default 'yes',
  `assumeinitialstates` varchar(4) default 'yes',
  `user` varchar(40) default NULL,
  `scheduleddowntimeasuptime` smallint(6) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

