<div id="text"><h2>View all Scheduled Reports</h2></div>
<div class="clear"></div>
<?php
if ($report_types) {
?>
<div>
	<strong>Saved reports</strong> &nbsp;|&nbsp; filter &nbsp; <input type="text" id="filterbox" value="Type text to filter" />
	<table id="all_reports" class="saved_reports" summary="All scheduled reports" style="table-collapse: collapse; border-spacing: 0px">
		<thead>
			<tr>
				<th>Report type</th>
				<th>Name</th>
				<th>Interval</th>
				<th>Recipients</th>
				<th>Filename</th>
				<th colspan="3">Description</th>
			</tr>
		</thead>
		<tbody>
	<?php 	while ($row = sql_fetch_array($saved_res)) {
				$recipients = str_replace(' ', '', $row['recipients']);
				$recipients = str_replace(',', ', ', $recipients);
				?>
		<tr class="odd" id="report-<?php echo $row['id'] ?>">
			<td nowrap><?php echo $report_types[$row['report_type_id']] ?></td>
			<td title="<?php echo $title_str ?>" class="report_name" id="<?php echo $row['report_type_id'] ?>.report_id-<?php echo $row['id'] ?>"><?php echo $saved_reports[$row['report_type_id']][$row['report_id']] ?></td>
			<td title="<?php echo $title_str ?>" class="periods" id="period_id-<?php echo $row['id'] ?>"><?php echo $periods[$row['period_id']] ?></td>
			<td title="<?php echo $title_str ?>" class="iseditable" id="recipients-<?php echo $row['id'] ?>"><?php echo $recipients ?></td>
			<td title="<?php echo $title_str ?>" class="iseditable" id="filename-<?php echo $row['id'] ?>"><?php echo $row['filename'] ?></td>
			<td width="250" title="<?php echo $title_str ?>" class="iseditable_txtarea" id="description-<?php echo $row['id'] ?>"><?php echo utf8_decode($row['description']) ?></td>
			<td title="Click to send this report now" class="send_report_now" id="<?php echo $row['id'] ?>"><input type='button' value='&nbsp;' class="button send-now13"></td>
			<td title="Click to delete this schedule" class="delete_report" id="<?php echo $row['id'] ?>"><img src="/monitor/images/icons/cross_12x12.gif"></td>
		</tr>
	<?php	} ?>
		</tbody>
	</table>
</div>
<div id="output" class="response"></div>
<span id="progress"></span>
<div id="err_msg"></div>
<?php
$json_periods 	= convert_json($periods);
$json_saved 	= convert_json($saved_reports);
?>
<span id="tmp"><?php echo $json_periods ?></span>
<span id="saved_reports"><?php echo $json_saved ?></span>
<?php
} else {?>
<div id="err_msg">You don't have any scheduled reports to view.</div>
<?php } ?>
<div id="howtoedit">
	<ul>
		<li>All fields except 'Report type' are editable.</li>
		<li>Double click on any of the other fields to modify the value.</li>
		<li>Click OK to submit changes or Cancel (or press escape) to undo any changes.</li>
		<li>Each column is sortable. By clicking on the header field it toggles sorting between ascending and descending.</li>
		<li>Use the filter box in the table header to filter the table on any value. Empty the box again to view all.</li>
	</ul>
	<a href="#" id="saved_desc_close">Hide</a>
</div>
