<?php
require_once('/opt/monitor/op5/gui/db_utils.inc.php');
require_once('include/auto-reports.inc.php');
require_once('paths.inc.php');

$field = false;
$new_value = false;
$report_id = false;
foreach ($_REQUEST as $key => $val) {
	switch ($key) {
		case 'newvalue':
			$new_value = $val;
			break;
		case 'elementid':
			$parts = get_element_parts($val);
			if (!empty($parts)) {
				$field 		= $parts[0];
				$report_id 	= (int)$parts[1];
			}
			break;
	}
}

// check some fields a little extra
switch ($field) {
	case 'recipients': // convert ';' to ','
		$new_value = str_replace(';', ',', $new_value);
		$rec_arr = explode(',', $new_value);
		$recipients = false;
		if (!empty($rec_arr)) {
			foreach ($rec_arr as $recipient) {
				if (trim($recipient)!='') {
					$recipients[] = trim($recipient);
				}
			}
			if (!empty($recipients)) {
				$new_value = implode(',', $recipients);
				$new_value = convert_special_chars($new_value);
			}
		}
		// check for required email field, rather lame check
		// but it's better than nothing...
		$recipient = split("[\t ]*,[\t ]*", $new_value);
		foreach ($recipient as $recip) {
			if (strlen($recip) < 6 || !preg_match("/.+@.+/", $recip)) {
				echo '<a title="Fetch saved value" href="#" onclick="fetch_field_value(\''.$field.'\', '.$report_id.', \''.$_REQUEST['elementid'].'\');">';
				echo "'$recip' is not a valid email address.<br />Click here to restore saved value.\n</a>";
				exit;
			}
		}
		break;
	case 'filename': // remove spaces
		if (strlen($new_value)>40) {
			echo 'The enetered value is too long. Only 40 chars allowed for filename.<br />Value <strong>not</strong> modified!<br />
				Please <a title="Fetch saved value" href="#" onclick="fetch_field_value(\''.$field.'\', '.$report_id.', \''.$_REQUEST['elementid'].'\');">click here</a> to view saved value.';
			exit;
		}
		$new_value = convert_special_chars($new_value);
		$new_value = check_filename($new_value);
		break;
}

if (!$report_id || !$field) {
	echo "Required data is missing, unable to save changes";
	exit;
}
$ok = false;
#echo "Should update field '$field' with value '$new_value' on item '$report_id'";

$ok = update_report_field($report_id, $field, $new_value);

if ($ok!==true) {
	echo "ERROR: ".$ok."<br />";
} else {
	/*
	# decide how to interpret field and value, since we
	# should print the correct value back.
	# If the value is an integer it should indicate that
	# we need to make a lookup in database to fetch correct value
	# Let's say we have 'periodname' as field, then value is an
	# integer and the return value should be Weekly/Monthly
	# if we get a string we should return that string
	# The problem is that all values will be passed as strings
	#
	#	Possible input values:
	#	* report_id
	#	* period_id
	#	* recipients		no changes needed
	#	* filename			no changes needed
	#	* description/info	no changes needed
	#
	*/
	switch ($field) {
		case 'report_id':
			$report_type = get_typeof_report($report_id);
			if (!$report_type) {
				echo "Unable to determine type for selected report";
			} else {
				$saved_reports =fetch_module_reports($report_type, false);
				#print_r($saved_reports);
				if (!empty($saved_reports)) {
					foreach ($saved_reports as $report) {
						if ($report['id'] == $new_value) {
							echo $report['name'];
							break;
						}
					}
					#echo "Unable to find name of selected report (ID:$new_value	)";
				} else {
					echo "Unable to fetch list of saved reports";
				}
			}
			break;
		case 'period_id':
			$periods = get_available_report_periods();
			while ($periods && $row = sql_fetch_array($periods)) {
				$period[$row['id']] = $row['periodname'];
			}
			echo $period[$new_value];
			break;
		case 'recipients':
			$new_value = str_replace(',', ', ', $new_value);
			echo $new_value;
			break;
		default:
			echo utf8_decode($new_value);
	}
}
?>
