<?php
require_once('/opt/monitor/op5/gui/db_utils.inc.php');
require_once('include/auto-reports.inc.php');
require_once('include/config.inc.php');
require_once('/opt/monitor/op5/gui/gui_api.inc.php');
require_once(dirname(__FILE__).'/paths.inc.php');
require_once($op5common_path . '/lib/common.php');

// collect input values
$report_id 			= get_array_var($_REQUEST, 'report_id'); // scheduled ID
$rep_type 			= get_array_var($_REQUEST, 'rep_type');
$saved_report_id 	= get_array_var($_REQUEST, 'saved_report_id'); // ID for report module
$period 			= get_array_var($_REQUEST, 'period');
$recipients			= get_array_var($_REQUEST, 'recipients');
$filename			= get_array_var($_REQUEST, 'filename');
$description		= get_array_var($_REQUEST, 'description');
$module_save		= get_array_var($_REQUEST, 'module_save');

$recipients = str_replace(';', ',', $recipients);
$rec_arr = explode(',', $recipients);
if (!empty($rec_arr)) {
	foreach ($rec_arr as $recipient) {
		if (trim($recipient)!='') {
			$a_recipients[] = trim($recipient);
		}
	}
	$recipients = implode(',', $a_recipients);
	$recipients = convert_special_chars($recipients);
}

$filename = convert_special_chars($filename);
$filename = check_filename($filename);

$ok = edit_report($report_id, $rep_type, $saved_report_id, $period, $recipients, $filename, $description);

if (is_int($ok)) {
	if ($module_save) {
		// only return the newly created ID on success if save is initiated from any report module (avail/SLA)
		echo $ok;
	} else {
		echo "Your report was successfully saved.";
	}
} else {
	echo "An error occurred when saving scheduled report (".$ok.")";
}
?>