<?php
require_once($op5common_path . '/lib/xajax/xajax_core/xajax.inc.php');

$xajax = new xajax();
$xajax->registerFunction('fetch_report_path');
$xajax->registerFunction('fetch_reports');
$xajax->registerFunction('fetch_module_reports');
$xajax->registerFunction('delete_schedule');
$xajax->registerFunction('send_report_now');
$xajax->registerFunction('fetch_field_value');
$xajax->processRequest();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
	<head>
		<meta http-equiv="content-type" content="application/xhtml+xml; charset=iso-8859-1" />
		<title><?php echo $title ?></title>
		<link type="text/css" rel="stylesheet" href="/monitor/css/common.css" />
		<link type="text/css" rel="stylesheet" href="/monitor/css/tables.css" />
		<link type="text/css" rel="stylesheet" href="/monitor/css/form.css" />
		<link type="text/css" rel="stylesheet" href="css/default.css" />
		<link type="text/css" rel="stylesheet" href="/monitor/css/help.css" />
		<script type="text/javascript" src="/op5common/js/jquery.js"></script>
		<script type="text/javascript" src="/op5common/js/jquery.form.js"></script>
		<script type="text/javascript" src="/op5common/js/jquery.tablesorter.js"></script>
		<script type="text/javascript" src="/op5common/js/jquery.jeditable.mini.js"></script>
		<script type="text/javascript" src="/op5common/js/jquery.jgrowl.js"></script>
		<script type="text/javascript" src="/monitor/js/help.js"></script>
		<script type="text/javascript" src="/monitor/op5/nacoma/js/jquery.selectboxes.js"></script>
		<script type="text/javascript" src="/monitor/op5/nacoma/js/move_options.js"></script>
		<!--<script type="text/javascript" src="/monitor/op5/nacoma/js/helptexts.js"></script>-->
		<script type="text/javascript" src="js/helptexts.js"></script>
		<script type="text/javascript" src="/monitor/op5/nacoma/js/_plugin_info.js"></script>
		<script type="text/javascript" src="/monitor/op5/nacoma/js/filterlist.js"></script>
		<script type="text/javascript" src="/monitor/op5/nacoma/js/common.js"></script>
		<script type="text/javascript" src="/monitor/op5/nacoma/js/metadata.js"></script>
		<script type="text/javascript" src="js/autoreports.js"></script>
		<?php $xajax->printJavascript('/op5common/lib/xajax/'); ?>
	</head>
<body>
	<div id='help'></div>
	<div id="menubox"><?php if (!empty($menubox)) echo $menubox; ?></div>

	<div id="main">
		<?php if (!empty($content))
			echo $content; ?>
	</div>
	<div id="description_area_help">
		To schedule a report, follow these steps:
		<ul>
			<li>
				Save a report from any of the available report types. <br />
				Example: If you would like to schedule an Availability report, click on 'Availability' in the menu on the left.<br />
				Check the 'Save report' checkbox, give the report a name and click Create report.
			</li>
			<li>
				Return here and select 'Availability Report' in the drop down menu above.
			</li>
			<li>
				Select your saved report in the list that appears and set the other options before clicking on 'Save'.
			</li>
			<li>
				You may always edit the settings for the schedule by clicking the link 'View Scheduled reports' above.
			</li>
		</ul>
		<a href="#" id="desc_close">Hide</a>
	</div>
</body>
</html>
